Index: src/sas/qtgui/Perspectives/Invariant/UI/InvariantDetailsUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/UI/InvariantDetailsUI.ui	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
+++ src/sas/qtgui/Perspectives/Invariant/UI/InvariantDetailsUI.ui	(revision f1f3e6a66c47bce134b59fe9f166fe14eac3a61d)
@@ -7,7 +7,13 @@
     <x>0</x>
     <y>0</y>
-    <width>449</width>
+    <width>511</width>
     <height>458</height>
    </rect>
+  </property>
+  <property name="sizePolicy">
+   <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+    <horstretch>0</horstretch>
+    <verstretch>0</verstretch>
+   </sizepolicy>
   </property>
   <property name="windowTitle">
@@ -29,5 +35,5 @@
       </item>
       <item row="0" column="1">
-       <widget class="QProgressBar" name="progressBar">
+       <widget class="QProgressBar" name="progressBarLowQ">
         <property name="value">
          <number>24</number>
@@ -43,5 +49,5 @@
       </item>
       <item row="1" column="1">
-       <widget class="QProgressBar" name="progressBar_2">
+       <widget class="QProgressBar" name="progressBarData">
         <property name="value">
          <number>24</number>
@@ -57,5 +63,5 @@
       </item>
       <item row="2" column="1">
-       <widget class="QProgressBar" name="progressBar_3">
+       <widget class="QProgressBar" name="progressBarHighQ">
         <property name="value">
          <number>24</number>
@@ -80,5 +86,9 @@
       </item>
       <item row="0" column="1">
-       <widget class="QLineEdit" name="lineEdit"/>
+       <widget class="QLineEdit" name="txtQLowQ">
+        <property name="toolTip">
+         <string>Extrapolated invariant from low-Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="0" column="2">
@@ -90,11 +100,15 @@
       </item>
       <item row="0" column="3">
-       <widget class="QLineEdit" name="lineEdit_2"/>
+       <widget class="QLineEdit" name="txtQLowQErr">
+        <property name="toolTip">
+         <string>Uncertainty on the invariant from low-Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="0" column="4">
-       <widget class="QLabel" name="label_3">
-        <property name="text">
-         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+       <widget class="QLabel" name="lblQLowQUnits">
+        <property name="text">
+         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;(cm Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
         </property>
        </widget>
@@ -108,5 +122,9 @@
       </item>
       <item row="1" column="1">
-       <widget class="QLineEdit" name="lineEdit_3"/>
+       <widget class="QLineEdit" name="txtQData">
+        <property name="toolTip">
+         <string>Invariant in the data set's Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="1" column="2">
@@ -118,11 +136,15 @@
       </item>
       <item row="1" column="3">
-       <widget class="QLineEdit" name="lineEdit_4"/>
+       <widget class="QLineEdit" name="txtQDataErr">
+        <property name="toolTip">
+         <string>Uncertainty on the invariant from data's range.</string>
+        </property>
+       </widget>
       </item>
       <item row="1" column="4">
-       <widget class="QLabel" name="label_4">
-        <property name="text">
-         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+       <widget class="QLabel" name="lblQDataUnits">
+        <property name="text">
+         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;(cm Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
         </property>
        </widget>
@@ -136,5 +158,9 @@
       </item>
       <item row="2" column="1">
-       <widget class="QLineEdit" name="lineEdit_5"/>
+       <widget class="QLineEdit" name="txtQHighQ">
+        <property name="toolTip">
+         <string>Extrapolated invariant from high-Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="2" column="2">
@@ -146,11 +172,15 @@
       </item>
       <item row="2" column="3">
-       <widget class="QLineEdit" name="lineEdit_6"/>
+       <widget class="QLineEdit" name="txtQHighQErr">
+        <property name="toolTip">
+         <string>Uncertainty on the invariant from high-Q range.</string>
+        </property>
+       </widget>
       </item>
       <item row="2" column="4">
-       <widget class="QLabel" name="label_7">
-        <property name="text">
-         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+       <widget class="QLabel" name="lblQHighQUnits">
+        <property name="text">
+         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;(cm Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
         </property>
        </widget>
@@ -179,5 +209,5 @@
    </item>
    <item row="3" column="0">
-    <widget class="QDialogButtonBox" name="buttonBox">
+    <widget class="QDialogButtonBox" name="cmdOK">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
@@ -193,5 +223,5 @@
  <connections>
   <connection>
-   <sender>buttonBox</sender>
+   <sender>cmdOK</sender>
    <signal>accepted()</signal>
    <receiver>Dialog</receiver>
@@ -209,5 +239,5 @@
   </connection>
   <connection>
-   <sender>buttonBox</sender>
+   <sender>cmdOK</sender>
    <signal>rejected()</signal>
    <receiver>Dialog</receiver>
Index: src/sas/qtgui/Perspectives/Invariant/UI/TabbedInvariantUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/UI/TabbedInvariantUI.ui	(revision 469b4622e645f3163e4b64cfbeb2a49e591cc359)
+++ src/sas/qtgui/Perspectives/Invariant/UI/TabbedInvariantUI.ui	(revision f1f3e6a66c47bce134b59fe9f166fe14eac3a61d)
@@ -7,7 +7,13 @@
     <x>0</x>
     <y>0</y>
-    <width>466</width>
-    <height>408</height>
+    <width>601</width>
+    <height>473</height>
    </rect>
+  </property>
+  <property name="sizePolicy">
+   <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+    <horstretch>0</horstretch>
+    <verstretch>0</verstretch>
+   </sizepolicy>
   </property>
   <property name="windowTitle">
@@ -15,4 +21,67 @@
   </property>
   <layout class="QGridLayout" name="gridLayout_11">
+   <item row="1" column="0">
+    <spacer name="verticalSpacer">
+     <property name="orientation">
+      <enum>Qt::Vertical</enum>
+     </property>
+     <property name="sizeHint" stdset="0">
+      <size>
+       <width>20</width>
+       <height>2</height>
+      </size>
+     </property>
+    </spacer>
+   </item>
+   <item row="2" column="0">
+    <layout class="QHBoxLayout" name="horizontalLayout_8">
+     <item>
+      <widget class="QPushButton" name="cmdCalculate">
+       <property name="toolTip">
+        <string>Compute invariant</string>
+       </property>
+       <property name="text">
+        <string>Calculate</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <spacer name="horizontalSpacer">
+       <property name="orientation">
+        <enum>Qt::Horizontal</enum>
+       </property>
+       <property name="sizeHint" stdset="0">
+        <size>
+         <width>40</width>
+         <height>20</height>
+        </size>
+       </property>
+      </spacer>
+     </item>
+     <item>
+      <widget class="QPushButton" name="cmdStatus">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
+       <property name="toolTip">
+        <string>Get more details of computation such as fraction from extrapolation</string>
+       </property>
+       <property name="text">
+        <string>Status</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QPushButton" name="cmdHelp">
+       <property name="toolTip">
+        <string/>
+       </property>
+       <property name="text">
+        <string>Help</string>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </item>
    <item row="0" column="0">
     <widget class="QTabWidget" name="tabWidget">
@@ -34,5 +103,5 @@
            <layout class="QHBoxLayout" name="horizontalLayout_4">
             <item>
-             <widget class="QLabel" name="label">
+             <widget class="QLabel" name="lblName">
               <property name="text">
                <string>Name:</string>
@@ -41,7 +110,7 @@
             </item>
             <item>
-             <widget class="QLineEdit" name="lineEdit">
+             <widget class="QLineEdit" name="txtName">
               <property name="enabled">
-               <bool>true</bool>
+               <bool>false</bool>
               </property>
               <property name="frame">
@@ -64,5 +133,5 @@
               <layout class="QHBoxLayout" name="horizontalLayout">
                <item>
-                <widget class="QLabel" name="label_3">
+                <widget class="QLabel" name="lblTotalQMin">
                  <property name="text">
                   <string>Min:</string>
@@ -71,5 +140,5 @@
                </item>
                <item>
-                <widget class="QLineEdit" name="lineEdit_2">
+                <widget class="QLineEdit" name="txtTotalQMin">
                  <property name="enabled">
                   <bool>false</bool>
@@ -78,5 +147,5 @@
                </item>
                <item>
-                <widget class="QLabel" name="label_4">
+                <widget class="QLabel" name="lblTotalQMax">
                  <property name="text">
                   <string>Max:</string>
@@ -85,5 +154,5 @@
                </item>
                <item>
-                <widget class="QLineEdit" name="lineEdit_3">
+                <widget class="QLineEdit" name="txtTotalQMax">
                  <property name="enabled">
                   <bool>false</bool>
@@ -92,5 +161,5 @@
                </item>
                <item>
-                <widget class="QLabel" name="label_2">
+                <widget class="QLabel" name="lblTotalQUnits">
                  <property name="text">
                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
@@ -121,7 +190,7 @@
           </item>
           <item row="0" column="1">
-           <widget class="QLineEdit" name="lineEdit_14">
+           <widget class="QLineEdit" name="txtVolFract">
             <property name="enabled">
-             <bool>true</bool>
+             <bool>false</bool>
             </property>
             <property name="autoFillBackground">
@@ -150,7 +219,7 @@
           </item>
           <item row="0" column="3">
-           <widget class="QLineEdit" name="lineEdit_15">
+           <widget class="QLineEdit" name="txtVolFractErr">
             <property name="enabled">
-             <bool>true</bool>
+             <bool>false</bool>
             </property>
             <property name="frame">
@@ -173,7 +242,7 @@
           </item>
           <item row="1" column="1">
-           <widget class="QLineEdit" name="lineEdit_17">
+           <widget class="QLineEdit" name="txtSpecSurf">
             <property name="enabled">
-             <bool>true</bool>
+             <bool>false</bool>
             </property>
             <property name="frame">
@@ -196,7 +265,7 @@
           </item>
           <item row="1" column="3">
-           <widget class="QLineEdit" name="lineEdit_16">
+           <widget class="QLineEdit" name="txtSpecSurfErr">
             <property name="enabled">
-             <bool>true</bool>
+             <bool>false</bool>
             </property>
             <property name="frame">
@@ -212,5 +281,5 @@
           </item>
           <item row="1" column="4">
-           <widget class="QLabel" name="label_24">
+           <widget class="QLabel" name="lblSpecificSurfaceUnits">
             <property name="text">
              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
@@ -234,11 +303,10 @@
           </item>
           <item row="3" column="1">
-           <widget class="QLineEdit" name="lineEdit_19">
+           <widget class="QLineEdit" name="txtInvariantTot">
             <property name="enabled">
-             <bool>true</bool>
-            </property>
-            <property name="styleSheet">
-             <string notr="true">background-color: rgb(253, 253, 126);
-font: bold 8pt &quot;MS Shell Dlg 2&quot;;</string>
+             <bool>false</bool>
+            </property>
+            <property name="toolTip">
+             <string>Total invariant [Q*], including extrapolated regions.</string>
             </property>
             <property name="frame">
@@ -261,11 +329,7 @@
           </item>
           <item row="3" column="3">
-           <widget class="QLineEdit" name="lineEdit_18">
+           <widget class="QLineEdit" name="txtInvariantTotErr">
             <property name="enabled">
-             <bool>true</bool>
-            </property>
-            <property name="styleSheet">
-             <string notr="true">background-color: rgb(253, 253, 126);
-font: bold 8pt &quot;MS Shell Dlg 2&quot;;</string>
+             <bool>false</bool>
             </property>
             <property name="frame">
@@ -281,5 +345,5 @@
           </item>
           <item row="3" column="4">
-           <widget class="QLabel" name="label_27">
+           <widget class="QLabel" name="lblInvariantTotalQUnits">
             <property name="text">
              <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;(cm Ã
@@ -314,5 +378,5 @@
             </item>
             <item row="0" column="1">
-             <widget class="QLineEdit" name="lineEdit_4"/>
+             <widget class="QLineEdit" name="txtBackgd"/>
             </item>
             <item row="0" column="2">
@@ -331,5 +395,5 @@
             </item>
             <item row="0" column="4">
-             <widget class="QLineEdit" name="lineEdit_6"/>
+             <widget class="QLineEdit" name="txtScale"/>
             </item>
             <item row="1" column="0">
@@ -341,8 +405,8 @@
             </item>
             <item row="1" column="1">
-             <widget class="QLineEdit" name="lineEdit_5"/>
+             <widget class="QLineEdit" name="txtContrast"/>
             </item>
             <item row="1" column="2">
-             <widget class="QLabel" name="label_7">
+             <widget class="QLabel" name="lblContrastUnits">
               <property name="text">
                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
@@ -359,8 +423,12 @@
             </item>
             <item row="1" column="4">
-             <widget class="QLineEdit" name="lineEdit_7"/>
+             <widget class="QLineEdit" name="txtPorodCst">
+              <property name="toolTip">
+               <string>Porod constant (optional)</string>
+              </property>
+             </widget>
             </item>
             <item row="1" column="5">
-             <widget class="QLabel" name="label_11">
+             <widget class="QLabel" name="lblPorodCstUnits">
               <property name="text">
                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;(cm Ã
@@ -397,8 +465,11 @@
             </item>
             <item>
-             <widget class="QLineEdit" name="lineEdit_8">
+             <widget class="QLineEdit" name="txtExtrapolQMin">
               <property name="enabled">
                <bool>false</bool>
               </property>
+              <property name="toolTip">
+               <string>The minimum extrapolated q value.</string>
+              </property>
              </widget>
             </item>
@@ -411,5 +482,5 @@
             </item>
             <item>
-             <widget class="QLineEdit" name="lineEdit_9">
+             <widget class="QLineEdit" name="txtExtrapolQMax">
               <property name="enabled">
                <bool>false</bool>
@@ -418,5 +489,5 @@
             </item>
             <item>
-             <widget class="QLabel" name="label_15">
+             <widget class="QLabel" name="lblExtrapolQUnits">
               <property name="text">
                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
@@ -428,11 +499,81 @@
           </item>
           <item row="1" column="0">
-           <widget class="QGroupBox" name="groupBox_5">
+           <widget class="QGroupBox" name="groupBox_lowQ">
             <property name="title">
              <string>Low Q</string>
             </property>
             <layout class="QGridLayout" name="gridLayout_7">
-             <item row="0" column="0">
-              <widget class="QCheckBox" name="checkBox">
+             <item row="1" column="0" colspan="2">
+              <layout class="QHBoxLayout" name="horizontalLayout_3">
+               <item>
+                <widget class="QLabel" name="label_16">
+                 <property name="text">
+                  <string>Npts:</string>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QLineEdit" name="txtNptsLowQ">
+                 <property name="toolTip">
+                  <string>Number of Q points to consider
+while extrapolating the low-Q region</string>
+                 </property>
+                </widget>
+               </item>
+              </layout>
+             </item>
+             <item row="2" column="0">
+              <layout class="QVBoxLayout" name="verticalLayout_2">
+               <item>
+                <widget class="QRadioButton" name="rbGuinier">
+                 <property name="text">
+                  <string>Guinier</string>
+                 </property>
+                 <property name="checked">
+                  <bool>true</bool>
+                 </property>
+                 <property name="autoExclusive">
+                  <bool>false</bool>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QRadioButton" name="rbPowerLawLowQ">
+                 <property name="text">
+                  <string>Power law</string>
+                 </property>
+                 <property name="checked">
+                  <bool>false</bool>
+                 </property>
+                 <property name="autoExclusive">
+                  <bool>false</bool>
+                 </property>
+                </widget>
+               </item>
+              </layout>
+             </item>
+             <item row="3" column="0" colspan="2">
+              <layout class="QHBoxLayout" name="horizontalLayout_6">
+               <item>
+                <widget class="QLabel" name="label_17">
+                 <property name="text">
+                  <string>Power:</string>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QLineEdit" name="txtPowerLowQ">
+                 <property name="toolTip">
+                  <string>Exponent to apply to the Power_law function.</string>
+                 </property>
+                </widget>
+               </item>
+              </layout>
+             </item>
+             <item row="0" column="0" colspan="2">
+              <widget class="QCheckBox" name="chkLowQ">
+               <property name="toolTip">
+                <string>Check to extrapolate data at low-Q</string>
+               </property>
                <property name="text">
                 <string>Enable Low-Q extrapolation</string>
@@ -440,69 +581,48 @@
               </widget>
              </item>
-             <item row="1" column="0">
-              <layout class="QHBoxLayout" name="horizontalLayout_3">
-               <item>
-                <widget class="QLabel" name="label_16">
-                 <property name="text">
-                  <string>Npts:</string>
-                 </property>
-                </widget>
-               </item>
-               <item>
-                <widget class="QLineEdit" name="lineEdit_10"/>
+             <item row="2" column="1">
+              <layout class="QVBoxLayout" name="verticalLayout">
+               <item>
+                <widget class="QRadioButton" name="rbFitLowQ">
+                 <property name="enabled">
+                  <bool>true</bool>
+                 </property>
+                 <property name="text">
+                  <string>Fit</string>
+                 </property>
+                 <property name="checkable">
+                  <bool>true</bool>
+                 </property>
+                 <property name="checked">
+                  <bool>true</bool>
+                 </property>
+                 <property name="autoExclusive">
+                  <bool>true</bool>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QRadioButton" name="rbFixLowQ">
+                 <property name="text">
+                  <string>Fix</string>
+                 </property>
+                 <property name="checkable">
+                  <bool>true</bool>
+                 </property>
+                 <property name="checked">
+                  <bool>false</bool>
+                 </property>
+                 <property name="autoExclusive">
+                  <bool>true</bool>
+                 </property>
+                </widget>
                </item>
               </layout>
              </item>
-             <item row="2" column="0">
-              <layout class="QFormLayout" name="formLayout">
-               <item row="0" column="0">
-                <widget class="QRadioButton" name="radioButton">
-                 <property name="text">
-                  <string>Guinier</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="QRadioButton" name="radioButton_3">
-                 <property name="text">
-                  <string>Fit</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="0">
-                <widget class="QRadioButton" name="radioButton_2">
-                 <property name="text">
-                  <string>Power law</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="QRadioButton" name="radioButton_4">
-                 <property name="text">
-                  <string>Fix</string>
-                 </property>
-                </widget>
-               </item>
-              </layout>
-             </item>
-             <item row="3" column="0">
-              <layout class="QHBoxLayout" name="horizontalLayout_6">
-               <item>
-                <widget class="QLabel" name="label_17">
-                 <property name="text">
-                  <string>Power:</string>
-                 </property>
-                </widget>
-               </item>
-               <item>
-                <widget class="QLineEdit" name="lineEdit_11"/>
-               </item>
-              </layout>
-             </item>
             </layout>
            </widget>
           </item>
           <item row="1" column="1">
-           <widget class="QGroupBox" name="groupBox_6">
+           <widget class="QGroupBox" name="groupBox_highQ">
             <property name="title">
              <string>High Q</string>
@@ -510,5 +630,8 @@
             <layout class="QGridLayout" name="gridLayout_8">
              <item row="0" column="0">
-              <widget class="QCheckBox" name="checkBox_2">
+              <widget class="QCheckBox" name="chkHighQ">
+               <property name="toolTip">
+                <string>Check to extrapolate data at high-Q</string>
+               </property>
                <property name="text">
                 <string>Enable High-Q extrapolation</string>
@@ -526,21 +649,35 @@
                </item>
                <item>
-                <widget class="QLineEdit" name="lineEdit_12"/>
+                <widget class="QLineEdit" name="txtNptsHighQ">
+                 <property name="toolTip">
+                  <string>Number of Q points to consider
+ while extrapolating the high-Q region</string>
+                 </property>
+                </widget>
                </item>
               </layout>
              </item>
              <item row="2" column="0">
-              <layout class="QFormLayout" name="formLayout_2">
+              <layout class="QGridLayout" name="gridLayout_13">
                <item row="0" column="0">
-                <widget class="QRadioButton" name="radioButton_7">
+                <widget class="QRadioButton" name="rbFitHighQ">
                  <property name="text">
                   <string>Fit</string>
                  </property>
+                 <property name="checkable">
+                  <bool>true</bool>
+                 </property>
+                 <property name="checked">
+                  <bool>false</bool>
+                 </property>
                 </widget>
                </item>
                <item row="1" column="0">
-                <widget class="QRadioButton" name="radioButton_8">
+                <widget class="QRadioButton" name="rbFixHighQ">
                  <property name="text">
                   <string>Fix</string>
+                 </property>
+                 <property name="checked">
+                  <bool>true</bool>
                  </property>
                 </widget>
@@ -558,5 +695,9 @@
                </item>
                <item>
-                <widget class="QLineEdit" name="lineEdit_13"/>
+                <widget class="QLineEdit" name="txtPowerHighQ">
+                 <property name="toolTip">
+                  <string>Exponent to apply to the Power_law function.</string>
+                 </property>
+                </widget>
                </item>
               </layout>
@@ -570,71 +711,5 @@
       </layout>
      </widget>
-     <widget class="QWidget" name="tab">
-      <attribute name="title">
-       <string>View on model</string>
-      </attribute>
-      <widget class="QTreeView" name="treeView">
-       <property name="geometry">
-        <rect>
-         <x>5</x>
-         <y>11</y>
-         <width>431</width>
-         <height>311</height>
-        </rect>
-       </property>
-      </widget>
-     </widget>
     </widget>
-   </item>
-   <item row="1" column="0">
-    <spacer name="verticalSpacer">
-     <property name="orientation">
-      <enum>Qt::Vertical</enum>
-     </property>
-     <property name="sizeHint" stdset="0">
-      <size>
-       <width>20</width>
-       <height>2</height>
-      </size>
-     </property>
-    </spacer>
-   </item>
-   <item row="2" column="0">
-    <layout class="QHBoxLayout" name="horizontalLayout_8">
-     <item>
-      <widget class="QPushButton" name="pushButton">
-       <property name="text">
-        <string>Calculate</string>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <spacer name="horizontalSpacer">
-       <property name="orientation">
-        <enum>Qt::Horizontal</enum>
-       </property>
-       <property name="sizeHint" stdset="0">
-        <size>
-         <width>40</width>
-         <height>20</height>
-        </size>
-       </property>
-      </spacer>
-     </item>
-     <item>
-      <widget class="QPushButton" name="pushButton_2">
-       <property name="text">
-        <string>Status</string>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="pushButton_3">
-       <property name="text">
-        <string>Help</string>
-       </property>
-      </widget>
-     </item>
-    </layout>
    </item>
   </layout>
